summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMike Frysinger <vapier@gentoo.org>2006-05-10 04:29:39 +0000
committerMike Frysinger <vapier@gentoo.org>2006-05-10 04:29:39 +0000
commitb91da9e02d83d0822a2a95675b8d9692c37c73f2 (patch)
tree0b2cb3596dd5d80ac87dec0c8b7f93f1a88ebd3c /eclass/toolchain.eclass
parentremove x86/amd64 KEYWORDS ... dont want to give the impression that using gcc... (diff)
downloadgentoo-2-b91da9e02d83d0822a2a95675b8d9692c37c73f2.tar.gz
gentoo-2-b91da9e02d83d0822a2a95675b8d9692c37c73f2.tar.bz2
gentoo-2-b91da9e02d83d0822a2a95675b8d9692c37c73f2.zip
cut libstdc++.la for gcc-4.0+
Diffstat (limited to 'eclass/toolchain.eclass')
-rw-r--r--eclass/toolchain.eclass9
1 files changed, 7 insertions, 2 deletions
diff --git a/eclass/toolchain.eclass b/eclass/toolchain.eclass
index 9f0398b86807..0649c545cebc 100644
--- a/eclass/toolchain.eclass
+++ b/eclass/toolchain.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2006 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/toolchain.eclass,v 1.278 2006/04/30 04:20:29 flameeyes Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/toolchain.eclass,v 1.279 2006/05/10 04:29:39 vapier Exp $
HOMEPAGE="http://gcc.gnu.org/"
LICENSE="GPL-2 LGPL-2.1"
@@ -1668,7 +1668,12 @@ gcc-compiler_src_install() {
# between binary and source package borks things ....
if ! is_crosscompile ; then
insinto /lib/rcscripts/awk
- doins "${GCC_FILESDIR}"/awk/fixlafiles.awk || die
+ if tc_version_is_at_least 4.0 ; then
+ doins "${GCC_FILESDIR}"/awk/fixlafiles.awk-no_gcc_la || die
+ find "${D}/${LIBPATH}" -name libstdc++.la -type f -exec rm "{}" \;
+ else
+ doins "${GCC_FILESDIR}"/awk/fixlafiles.awk || die
+ fi
exeinto /sbin
doexe "${GCC_FILESDIR}"/fix_libtool_files.sh || die
fi